## chromium 131.0.6778.264~linuxmint1+faye

=== debian/changelog ===
chromium (131.0.6778.264~linuxmint1+faye) unstable; urgency=medium

  * 131.0.6778.264

 -- Linux Mint <root@linuxmint.com>  Tue, 07 Jan 2025 19:03:15 +0000

chromium (131.0.6778.204~linuxmint1) unstable; urgency=medium

  * 131.0.6778.204

 -- Linux Mint <root@linuxmint.com>  Wed, 18 Dec 2024 21:20:11 +0000
