## chromium 131.0.6778.264~linuxmint1+virginia

=== debian/changelog ===
chromium (131.0.6778.264~linuxmint1+virginia) unstable; urgency=medium

  * 131.0.6778.264

 -- Linux Mint <root@linuxmint.com>  Tue, 07 Jan 2025 19:03:15 +0000
