## chromium 131.0.6778.264

=== debian/changelog ===
chromium (131.0.6778.264-1~deb12u1) bookworm-security; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2025-0291: Type Confusion in V8. Reported by Popax21.
  * d/copyright: Delete some unused upstream binaries that we'd
    previously missed (closes: #1091459).

  [ Bo YU ]
  * Enable 0001-swiftshader-fix-build.patch on ppc64el again to fix
    FTBFS issue.

 -- Andres Salomon <dilinger@debian.org>  Wed, 08 Jan 2025 11:26:36 -0500

chromium (131.0.6778.204-1~deb12u1) bookworm-security; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2024-12692: Type Confusion in V8.
      Reported by Seunghyun Lee (@0x10n).
    - CVE-2024-12693: Out of bounds memory access in V8.
      Reported by 303f06e3.
    - CVE-2024-12694: Use after free in Compositing. Reported by Anonymous.
    - CVE-2024-12695: Out of bounds write in V8. Reported by 303f06e3.
  * d/patches/fixes/absl-optional.patch: comment out __glibcxx_assert()
    that we keep hitting with gcc 12; it was previously commented out, but
    we lost the change when we switched from libstdc++ and then back.

  [ Bo Yu ]
  * Build swiftshader with llvm-16 instead of llvm-10.

 -- Andres Salomon <dilinger@debian.org>  Wed, 18 Dec 2024 16:52:56 -0500
