## chromium 132.0.6834.83~linuxmint1+faye

=== debian/changelog ===
chromium (132.0.6834.83~linuxmint1+faye) unstable; urgency=medium

  * 132.0.6834.83

 -- Linux Mint <root@linuxmint.com>  Wed, 15 Jan 2025 13:56:17 +0000

chromium (131.0.6778.264~linuxmint1) unstable; urgency=medium

  * 131.0.6778.264

 -- Linux Mint <root@linuxmint.com>  Tue, 07 Jan 2025 19:03:15 +0000
