## chromium 132.0.6834.83~linuxmint1+xia

=== debian/changelog ===
chromium (132.0.6834.83~linuxmint1+xia) unstable; urgency=medium

  * 132.0.6834.83

 -- Linux Mint <root@linuxmint.com>  Wed, 15 Jan 2025 13:56:17 +0000
