## chromium 132.0.6834.83

=== debian/changelog ===
chromium (132.0.6834.83-1~deb12u1) bookworm-security; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2025-0434: Out of bounds memory access in V8. Reported by ddme.
    - CVE-2025-0435: Inappropriate implementation in Navigation.
      Reported by Alesandro Ortiz.
    - CVE-2025-0436: Integer overflow in Skia.
      Reported by Han Zheng (HexHive).
    - CVE-2025-0437: Out of bounds read in Metrics.
      Reported by Xiantong Hou of Wuheng Lab and Pisanbao.
    - CVE-2025-0438: Stack buffer overflow in Tracing.
      Reported by Han Zheng (HexHive).
    - CVE-2025-0439: Race in Frames. Reported by Hafiizh.
    - CVE-2025-0440: Inappropriate implementation in Fullscreen.
      Reported by Umar Farooq.
    - CVE-2025-0441: Inappropriate implementation in Fenced Frames.
      Reported by someoneverycurious.
    - CVE-2025-0442: Inappropriate implementation in Payments.
      Reported by Ahmed ElMasry.
    - CVE-2025-0443: Insufficient data validation in Extensions.
      Reported by Anonymous.
    - CVE-2025-0446: Inappropriate implementation in Extensions.
      Reported by Hafiizh.
    - CVE-2025-0447: Inappropriate implementation in Navigation.
      Reported by Khiem Tran (@duckhiem).
    - CVE-2025-0448: Inappropriate implementation in Compositing.
      Reported by Dahyeon Park.
  * d/patches:
    - upstream/blink-fix-size-assertions.patch: drop, merged upstream.
    - upstream/dawn-strlen.patch: drop, merged upstream.
    - upstream/mrc-copy-op.patch: drop, merged upstream.
    - upstream/variant.patch: part of this was merged upstream; keep the
      rest.
    - fixes/freetype.patch: drop, merged upstream.
    - fixes/gpu-crash.patch: drop, merged upstream.
    - fixes/bindgen.patch: refresh and make patch even smaller. Also some
      upstream churn.
    - fixes/fix-assert-in-vnc-sessions.patch: refresh.
    - ungoogled/disable-privacy-sandbox.patch: refresh.
    - upstream/mojo.patch: fix missing files.
    - upstream/uint.patch: add gcc-specific build fix.
    - bookworm/constflatset.patch: add (probably) gcc-specific workaround.
    - fixes/lens-optional.patch: add gcc-specific build fix.
    - bookworm/gn-absl.patch: modify for new dependency.
    - bookworm/rust-visibility.patch: add build fix for older rustc.
    - bookworm/less-void.patch: add build fix for older libstdc++/gcc.
  * Downgrade to rollup3 for devtools-frontend stuff, due to the bundled
    rollup4 including wasm blobs. Update d/patches/system/rollup.patch to
    point to the right place as well, and build-dep on
    node-rollup-plugin-terser.
  * Build against newer bundled libtiff for memory limiting protection.
  * Switch to bundled libdrm due to DRM_IOCTL_SYNCOBJ_EVENTFD usage.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - workarounds/HACK-debian-clang-disable-skia-musttail.patch: Drop due
      to upstream fixes
    - third_party/skia-vsx-instructions.patch: Refresh for upstream changes

 -- Andres Salomon <dilinger@debian.org>  Tue, 14 Jan 2025 21:20:43 -0500
