=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  clang-19,
  clang-format-19,
  libclang-rt-19-dev,
- rustc (>= 1.74),
+ rustc-web (>= 1.74),
  bindgen,
  python3,
  pkg-config,
@@ -34,6 +34,7 @@
  gperf,
  bison,
  nodejs,
+ node-rollup-plugin-terser,
  rollup,
  valgrind,
  xz-utils,
@@ -59,7 +60,6 @@
  libelf-dev,
  libpci-dev,
  libcap-dev,
- libdrm-dev,
  libffi-dev,
  libhwy-dev,
  libkrb5-dev,
@@ -70,13 +70,12 @@
  libopus-dev,
  libxtst-dev,
  libjpeg-dev,
- libxml2-dev (>= 2.12),
+ libxml2-dev (<< 2.10),
  libgtk-3-dev,
  libxslt1-dev,
  liblcms2-dev,
  libpulse-dev,
  libpam0g-dev,
- libtiff-dev,
  libdouble-conversion-dev,
  libxnvctrl-dev,
  libglib2.0-dev,
@@ -107,7 +106,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libgtk-3-0t64 | xdg-desktop-portal-backend,
+ libgtk-3-0 | xdg-desktop-portal-backend,
  chromium-common (= ${binary:Version}),
 Recommends:
  chromium-sandbox,
