=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 export CLANG_MVERS=$(shell $(CC) --version | sed -n 's/.* clang version //p' | cut -d. -f1)
 rust_sysroot=/usr
 defines+=rust_sysroot_absolute=\"$(rust_sysroot)\"
-defines+=rust_bindgen_root=\"/usr\"
+defines+=rust_bindgen_root=\"$(CURDIR)/debian/bindgen/root/usr\"
 defines+=rustc_version=\"$(shell $(rust_sysroot)/bin/rustc --version)\"
 defines+=clang_base_path=\"/usr/lib/llvm-$(CLANG_MVERS)\"
 defines+=clang_version=\"$(CLANG_MVERS)\"
@@ -117,7 +117,7 @@
          use_system_lcms2=true \
          use_system_libjpeg=true \
          use_system_libpng=true \
-         use_system_libtiff=true \
+         use_system_libtiff=false \
          use_system_freetype=true \
          use_system_harfbuzz=true \
          use_system_libopenjpeg2=true \
@@ -147,7 +147,17 @@
 		}; \
 	fi
 
-override_dh_auto_configure: test_armhf_neon
+set_up_bindgen:
+	# Bookworm's bindgen is too old. This is a workaround using the
+	# packages from
+	# <https://snapshot.debian.org/package/rust-bindgen-cli/0.66.1-3/>, which
+	# are new enough to build chromium but old enough to not be linked against
+	# Trixie's libc6 2.38
+	mkdir -p debian/bindgen/root
+	ar --output debian/bindgen/root vx debian/bindgen/bindgen_0.66.1-3_$(DEB_HOST_ARCH).deb
+	tar -C debian/bindgen/root -Jxvf debian/bindgen/root/data.tar.xz
+
+override_dh_auto_configure: test_armhf_neon set_up_bindgen
 	# verify that we're not accidentally uploading to stable-security without CVEs
 	@echo "$(DIST)" | grep -q -- '-security' && { \
 		dpkg-parsechangelog -l debian/changelog | grep -q 'CVE-' || { \
@@ -160,6 +170,7 @@
 	cp /usr/bin/node third_party/node/linux/node-linux-x64/bin
 	# use system rollup
 	cp -ra /usr/share/nodejs/rollup third_party/node/node_modules/
+	- test -L third_party/devtools-frontend/src/node_modules/rollup3 || ln -s /usr/share/nodejs/rollup third_party/devtools-frontend/src/node_modules/rollup3
 	# output compiler information
 	$(CXX) --version
 	# prefer unbundled (system) libraries
@@ -193,9 +204,11 @@
 	dh_fixperms --exclude chrome-sandbox
 
 override_dh_auto_clean:
+	rm -rf debian/bindgen/root
 	rm -rf third_party/node/linux/node-linux-x64
 	rm -rf out
 	rm -rf third_party/node/node_modules/rollup
+	rm -f third_party/devtools-frontend/src/node_modules/rollup3
 	# bullseye workarounds; delete this post-bullseye
 	rm -rf third_party/node/node_modules/acorn
 	rm -rf third_party/node/node_modules/walk
@@ -214,26 +227,3 @@
 origtxz=$(debvers).orig.tar.xz
 removed=$(debvers).files-removed
 options=--sort=name --owner=0 --group=0 --numeric-owner --mtime="@$$(cat $(extract)/build/util/LASTCHANGE.committime)" --clamp-mtime
-print_elapsed=echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
-
-get-orig-source:
-	wget -nv --show-progress -c $(url)/$(tarball) -O ../$(tarball)
-	@date +%s > $(seconds)
-	top="$$(tar tf ../$(tarball) | head -n1)" \
-	&& test -n "$$top" \
-	&& grep-dctrl -n -F Files-Excluded -s Files-Excluded '' debian/copyright \
-	| sed -r 's/^ +//; /^$$/d' \
-	| awk -v top="$$top" '/^\*/{print; next} {print top $$0}' \
-	> $(debvers).excludes
-	rm -rf $(extract)
-	@$(print_elapsed); echo
-	tar --exclude-from=$(debvers).excludes -xf ../$(tarball)
-	rm -f $(debvers).excludes
-	@$(print_elapsed); echo
-	cd $(extract) && ../debian/scripts/check-upstream
-	chmod -R u+w $(extract)
-	@$(print_elapsed); echo
-	rm -f $(origtxz)
-	tar $(options) -cf - $(extract) | xz -6 -T0 - > $(origtxz)
-	@$(print_elapsed); echo
-	rm -rf $(extract)
