## chromium 132.0.6834.159

=== debian/changelog ===
chromium (132.0.6834.159-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2025-0762: Use after free in DevTools. Reported by Sakana.S.

  [ Daniel Richard G. ]
  * d/copyright: Sort the list of Files-Excluded: entries, remove a few
    that are no longer needed, and consolidate some others with brackets.
  * d/rules:
    - Use simple assignments for variables defined using $(shell ...)
      to avoid recursive-expansion issues with GNU Make 4.4.1.
    - Download the upstream lite tarball instead of the regular one now
      that the former has everything we need.
    - Delete empty directories when making the orig-source tarball.

 -- Andres Salomon <dilinger@debian.org>  Tue, 28 Jan 2025 20:26:06 -0500

chromium (132.0.6834.110-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2025-0611: Object corruption in V8. Reported by 303f06e3.
    - CVE-2025-0612: Out of bounds memory access in V8.
      Reported by Alan Goodman.
  * d/patches/upstream/mojo.patch: drop, upstream tarballs are now fixed.
  * d/chromium-shell.NEWS: ask users of the chromium-shell package to
    email me; otherwise, chromium-shell will be removed in the future.

  [ Ahmad Khalifa ]
  * d/NEWS uses missing release, set it to nearest to silence lintian.
  * d/control: replace obsolete pkg-config with pkgconf.
  * d/upstream/metadata: switch fields to expected case.
  * d/patches/series: help lintian ignore unused bullseye patches.

  [ Daniel Richard G. ]
  * d/etc/dev-shm: Add --disable-dev-shm-usage if the system has less than
    ~4 GB available in /dev/shm to avoid crashes (closes: #1072299).

  [ Jianfeng Liu ]
  * d/patches:
    - fixes/libsync-rk3588-panthor.patch: Fix upstream issue #343592370,
      which can cause browser crash when running with ozone wayland on
      rk3588 platform.

 -- Andres Salomon <dilinger@debian.org>  Wed, 22 Jan 2025 16:36:45 -0500

chromium (132.0.6834.83-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2025-0434: Out of bounds memory access in V8. Reported by ddme.
    - CVE-2025-0435: Inappropriate implementation in Navigation.
      Reported by Alesandro Ortiz.
    - CVE-2025-0436: Integer overflow in Skia.
      Reported by Han Zheng (HexHive).
    - CVE-2025-0437: Out of bounds read in Metrics.
      Reported by Xiantong Hou of Wuheng Lab and Pisanbao.
    - CVE-2025-0438: Stack buffer overflow in Tracing.
      Reported by Han Zheng (HexHive).
    - CVE-2025-0439: Race in Frames. Reported by Hafiizh.
    - CVE-2025-0440: Inappropriate implementation in Fullscreen.
      Reported by Umar Farooq.
    - CVE-2025-0441: Inappropriate implementation in Fenced Frames.
      Reported by someoneverycurious.
    - CVE-2025-0442: Inappropriate implementation in Payments.
      Reported by Ahmed ElMasry.
    - CVE-2025-0443: Insufficient data validation in Extensions.
      Reported by Anonymous.
    - CVE-2025-0446: Inappropriate implementation in Extensions.
      Reported by Hafiizh.
    - CVE-2025-0447: Inappropriate implementation in Navigation.
      Reported by Khiem Tran (@duckhiem).
    - CVE-2025-0448: Inappropriate implementation in Compositing.
      Reported by Dahyeon Park.
  * d/patches:
    - upstream/blink-fix-size-assertions.patch: drop, merged upstream.
    - upstream/dawn-strlen.patch: drop, merged upstream.
    - upstream/mrc-copy-op.patch: drop, merged upstream.
    - upstream/variant.patch: part of this was merged upstream; keep the
      rest.
    - fixes/freetype.patch: drop, merged upstream.
    - fixes/gpu-crash.patch: drop, merged upstream.
    - fixes/bindgen.patch: refresh and make patch even smaller. Also some
      upstream churn.
    - fixes/fix-assert-in-vnc-sessions.patch: refresh.
    - ungoogled/disable-privacy-sandbox.patch: refresh.
    - upstream/mojo.patch: fix missing files.
    - upstream/uint.patch: add gcc-specific build fix.
    - bookworm/constflatset.patch: add (probably) gcc-specific workaround.
    - fixes/lens-optional.patch: add gcc-specific build fix.
  * Downgrade to rollup3 for devtools-frontend stuff, due to the bundled
    rollup4 including wasm blobs. Update d/patches/system/rollup.patch to
    point to the right place as well, and build-dep on
    node-rollup-plugin-terser.
  * Build against newer bundled libtiff for memory limiting protection.
  * Switch to bundled libdrm due to DRM_IOCTL_SYNCOBJ_EVENTFD usage.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - workarounds/HACK-debian-clang-disable-skia-musttail.patch: Drop due
      to upstream fixes
    - third_party/skia-vsx-instructions.patch: Refresh for upstream changes

 -- Andres Salomon <dilinger@debian.org>  Tue, 14 Jan 2025 21:20:43 -0500

chromium (131.0.6778.264-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2025-0291: Type Confusion in V8. Reported by Popax21.
  * d/copyright: Delete some unused upstream binaries that we'd
    previously missed (closes: #1091459).

  [ Bo YU ]
  * Enable 0001-swiftshader-fix-build.patch on ppc64el again to fix
    FTBFS issue.

 -- Andres Salomon <dilinger@debian.org>  Wed, 08 Jan 2025 11:26:36 -0500
