## chromium 133.0.6943.53~linuxmint1+faye

=== debian/changelog ===
chromium (133.0.6943.53~linuxmint1+faye) unstable; urgency=medium

  * 133.0.6943.53

 -- Linux Mint <root@linuxmint.com>  Tue, 04 Feb 2025 18:00:11 +0000

chromium (132.0.6834.159~linuxmint1) unstable; urgency=medium

  * 132.0.6834.159

 -- Linux Mint <root@linuxmint.com>  Tue, 28 Jan 2025 20:10:53 +0000

chromium (132.0.6834.110~linuxmint1) unstable; urgency=medium

  * 132.0.6834.110

 -- Linux Mint <root@linuxmint.com>  Thu, 23 Jan 2025 00:09:50 +0000

chromium (132.0.6834.83~linuxmint1) unstable; urgency=medium

  * 132.0.6834.83

 -- Linux Mint <root@linuxmint.com>  Wed, 15 Jan 2025 13:56:17 +0000
