## chromium 133.0.6943.53

=== debian/changelog ===
chromium (133.0.6943.53-1~deb12u1) bookworm-security; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2025-0444: Use after free in Skia.
      Reported by Francisco Alonso (@revskills).
    - CVE-2025-0445: Use after free in V8. Reported by 303f06e3.
    - CVE-2025-0451: Inappropriate implementation in Extensions API.
      Reported by Vitor Torres and Alesandro Ortiz.
  * Stop deleting third_party/highway, drop libhwy-dev build-dep, and
    build against the bundled libhwy due to new API requirements.
  * d/patches:
    - fixes/highway-include-path.patch: drop; switching to bundled hwy.
    - bookworm/highway-blink.patch: drop; switching to bundled hwy.
    - upstream/array.patch: drop, merged upstream.
    - upstream/ink-isfinite.patch: drop, merged upstream.
    - upstream/ruy-include.patch: drop, merged upstream.
    - upstream/uint.patch: drop, merged upstream.
    - upstream/variant.patch: drop, merged upstream.
    - upstream/webrtc-optional.patch: drop, merged upstream.
    - fixes/perfetto.patch: drop, merged upstream.
    - system/event.patch: drop, upstream no longer uses libevent.
    - ungoogled/disable-privacy-sandbox.patch: refresh from upstream.
    - fixes/highway-include-path.patch: delete a libhwy build test, add
      another header build fix.
    - bookworm/clang19.patch: add patch to disable unsupported build args
    - fixes/optional.patch: add header build fix.
    - bookworm/gn-absl.patch: add global visibilty for more symbols.
    - bookworm/dq-forward-iterator.patch: add workaround for bookworm's
      libstdc++ 12.
    - bookworm/constflatset.patch, bookworm/constexpr.patch: add another
      workaround for bookworm's libstdc++ 12.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - third_party/0001-Add-PPC64-support-for-boringssl.patch: Refresh for
      upstream changes
    - third_party/0002-Add-PPC64-generated-files-for-boringssl.patch:
      Refresh for upstream changes
    - third_party/0002-third_party-libvpx-Remove-bad-ppc64-config.patch:
      Refresh for upstream changes
    - third_party/0001-third-party-hwy-wrong-include.patch: Work around
      incorrect header include

 -- Andres Salomon <dilinger@debian.org>  Wed, 05 Feb 2025 00:18:56 -0500

chromium (132.0.6834.159-1~deb12u1) bookworm-security; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2025-0762: Use after free in DevTools. Reported by Sakana.S.

  [ Daniel Richard G. ]
  * d/copyright: Sort the list of Files-Excluded: entries, remove a few
    that are no longer needed, and consolidate some others with brackets.
  * d/rules:
    - Use simple assignments for variables defined using $(shell ...)
      to avoid recursive-expansion issues with GNU Make 4.4.1.
    - Download the upstream lite tarball instead of the regular one now
      that the former has everything we need.
    - Delete empty directories when making the orig-source tarball.

 -- Andres Salomon <dilinger@debian.org>  Tue, 28 Jan 2025 20:26:06 -0500
