## chromium 133.0.6943.98

=== debian/changelog ===
chromium (133.0.6943.98-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2025-0995: Use after free in V8. Reported by Popax21.
    - CVE-2025-0996: Inappropriate implementation in Browser UI.
      Reported by yuki yamaoto.
    - CVE-2025-0997: Use after free in Navigation. Reported by asnine.
    - CVE-2025-0998: Out of bounds memory access in V8.
      Reported by Alan Goodman.
  * d/patches:
    - fixes/bindgen-unsafe-op.patch: add a workaround for a bindgen bug
      that causes FTBFS on armhf.

 -- Andres Salomon <dilinger@debian.org>  Wed, 12 Feb 2025 21:35:00 -0500

chromium (133.0.6943.53-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2025-0444: Use after free in Skia.
      Reported by Francisco Alonso (@revskills).
    - CVE-2025-0445: Use after free in V8. Reported by 303f06e3.
    - CVE-2025-0451: Inappropriate implementation in Extensions API.
      Reported by Vitor Torres and Alesandro Ortiz.
  * Stop deleting third_party/highway, drop libhwy-dev build-dep, and
    build against the bundled libhwy due to new API requirements.
  * d/patches:
    - fixes/highway-include-path.patch: drop; switching to bundled hwy.
    - upstream/array.patch: drop, merged upstream.
    - upstream/ink-isfinite.patch: drop, merged upstream.
    - upstream/ruy-include.patch: drop, merged upstream.
    - upstream/uint.patch: drop, merged upstream.
    - upstream/variant.patch: drop, merged upstream.
    - upstream/webrtc-optional.patch: drop, merged upstream.
    - fixes/perfetto.patch: drop, merged upstream.
    - system/event.patch: drop, upstream no longer uses libevent.
    - ungoogled/disable-privacy-sandbox.patch: refresh from upstream.
    - fixes/highway-include-path.patch: delete a libhwy build test, add
      another header build fix.
    - bookworm/clang19.patch: add patch to disable unsupported build args
    - fixes/optional.patch: add header build fix.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - third_party/0001-Add-PPC64-support-for-boringssl.patch: Refresh for
      upstream changes
    - third_party/0002-Add-PPC64-generated-files-for-boringssl.patch:
      Refresh for upstream changes
    - third_party/0002-third_party-libvpx-Remove-bad-ppc64-config.patch:
      Refresh for upstream changes
    - third_party/0001-third-party-hwy-wrong-include.patch: Work around
      incorrect header include

 -- Andres Salomon <dilinger@debian.org>  Wed, 05 Feb 2025 00:18:56 -0500
