=== debian/control ===
--- 
+++ 
@@ -61,7 +61,6 @@
  libpci-dev,
  libcap-dev,
  libffi-dev,
- libhwy-dev,
  libkrb5-dev,
  libexif-dev,
  libflac-dev,
