=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,8 @@
 
 # initial flags from dpkg-buildflags
 export DEB_CXXFLAGS_MAINT_STRIP=-g
-export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
-export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
+export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 # more verbose linker output
 export LDFLAGS+=-Wl,--stats
@@ -43,14 +43,14 @@
 endif
 
 # disable clang plugins
-defines=clang_use_chrome_plugins=false
+defines:=clang_use_chrome_plugins=false
 
 # use system rust
 export RUSTC_BOOTSTRAP=1
-export CLANG_MVERS=$(shell $(CC) --version | sed -n 's/.* clang version //p' | cut -d. -f1)
+export CLANG_MVERS:=$(shell $(CC) --version | sed -n 's/.* clang version //p' | cut -d. -f1)
 rust_sysroot=/usr
 defines+=rust_sysroot_absolute=\"$(rust_sysroot)\"
-defines+=rust_bindgen_root=\"$(CURDIR)/debian/bindgen/root/usr\"
+defines+=rust_bindgen_root=\"/usr\"
 defines+=rustc_version=\"$(shell $(rust_sysroot)/bin/rustc --version)\"
 defines+=clang_base_path=\"/usr/lib/llvm-$(CLANG_MVERS)\"
 defines+=clang_version=\"$(CLANG_MVERS)\"
@@ -60,7 +60,8 @@
 defines+=custom_toolchain=\"//build/toolchain/linux/unbundle:default\"
 
 # set the appropriate cpu architecture
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_value := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH ?= $(DEB_HOST_ARCH_value)
 ifeq (i386,$(DEB_HOST_ARCH))
 defines+=host_cpu=\"x86\" use_vaapi=true
 endif
@@ -147,17 +148,7 @@
 		}; \
 	fi
 
-set_up_bindgen:
-	# Bookworm's bindgen is too old. This is a workaround using the
-	# packages from
-	# <https://snapshot.debian.org/package/rust-bindgen-cli/0.66.1-3/>, which
-	# are new enough to build chromium but old enough to not be linked against
-	# Trixie's libc6 2.38
-	mkdir -p debian/bindgen/root
-	ar --output debian/bindgen/root vx debian/bindgen/bindgen_0.66.1-3_$(DEB_HOST_ARCH).deb
-	tar -C debian/bindgen/root -Jxvf debian/bindgen/root/data.tar.xz
-
-override_dh_auto_configure: test_armhf_neon set_up_bindgen
+override_dh_auto_configure: test_armhf_neon
 	# verify that we're not accidentally uploading to stable-security without CVEs
 	@echo "$(DIST)" | grep -q -- '-security' && { \
 		dpkg-parsechangelog -l debian/changelog | grep -q 'CVE-' || { \
@@ -204,7 +195,6 @@
 	dh_fixperms --exclude chrome-sandbox
 
 override_dh_auto_clean:
-	rm -rf debian/bindgen/root
 	rm -rf third_party/node/linux/node-linux-x64
 	rm -rf out
 	rm -rf third_party/node/node_modules/rollup
@@ -218,12 +208,26 @@
 ###################### upstream source downloading ############################
 
 url=https://gsdview.appspot.com/chromium-browser-official
-version=$(shell dpkg-parsechangelog -S Version | sed s/-.*//)
+version:=$(shell dpkg-parsechangelog -S Version | sed s/-.*//)
 extract=chromium-$(version)
-tarfile=$(extract).tar
+tarfile=$(extract)-lite.tar
 tarball=$(tarfile).xz
 debvers=../chromium_$(version)
 seconds=$(debvers).seconds
 origtxz=$(debvers).orig.tar.xz
 removed=$(debvers).files-removed
 options=--sort=name --owner=0 --group=0 --numeric-owner --mtime="@$$(cat $(extract)/build/util/LASTCHANGE.committime)" --clamp-mtime
+print_elapsed=echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
+
+get-orig-source:
+	wget -nv --show-progress -c $(url)/$(tarball) -O ../$(tarball)
+	@date +%s > $(seconds)
+	top="$$(tar tf ../$(tarball) | head -n1)" \
+	&& test -n "$$top" \
+	&& grep-dctrl -n -F Files-Excluded -s Files-Excluded '' debian/copyright \
+	| sed -r 's/^ +//; /^$$/d' \
+	| awk -v top="$$top" '/^\*/{print; next} {print top $$0}' \
+	> $(debvers).excludes
+	rm -rf $(extract)
+	@$(print_elapsed); echo
+	tar --exclude-from=$(debvers).excludes -xf ../$(tarball)
