## chromium 133.0.6943.126~linuxmint1+faye

=== debian/changelog ===
chromium (133.0.6943.126~linuxmint1+faye) unstable; urgency=medium

  * 133.0.6943.126

 -- Linux Mint <root@linuxmint.com>  Tue, 18 Feb 2025 23:34:32 +0000

chromium (133.0.6943.98~linuxmint1) unstable; urgency=medium

  * 133.0.6943.98

 -- Linux Mint <root@linuxmint.com>  Wed, 12 Feb 2025 18:55:35 +0000

chromium (133.0.6943.53~linuxmint1) unstable; urgency=medium

  * 133.0.6943.53

 -- Linux Mint <root@linuxmint.com>  Tue, 04 Feb 2025 18:00:11 +0000
